package com.qmth.distributed.print.business.bean.params;

import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * @Description: 教师团队参数
 * @Author: CaoZixuan
 * @Date: 2023-03-16
 */
public class TeacherTeamParam {
    @ApiModelProperty("姓名")
    @NotNull(message = "请填写姓名")
    @Length(message = "请填写姓名")
    private String teacherName;

    @ApiModelProperty("工号")
    @NotNull(message = "请填写工号")
    @Length(message = "请填写工号")
    private String teacherCode;

    @ApiModelProperty("基础课程id")
    @NotNull(message = "请选择课程")
    private Long basicCourseId;

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    public Long getBasicCourseId() {
        return basicCourseId;
    }

    public void setBasicCourseId(Long basicCourseId) {
        this.basicCourseId = basicCourseId;
    }
}
